import {
  get, post,
} from '../../utils/http';
Page({

  /**
   * 页面的初始数据
   */
  data: {
    userInfo: {}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getUserFiles()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },

  /**
   * 监听输入姓名
   */
  onChangeName(e) {
    this.setData({
      ['userInfo.real_name']: e.detail.value,
    })
  },

  /**
   * 获取用户档案
   * api/user/files
   */
  getUserFiles() {
    get('api/user/files', {}, (res) => {
      this.setData({
        userInfo: res.data
      })
    })
  },

  /**
   * 更新用户档案
   * api/user/save_files
   */
  setUserFiles() {
    let {
      real_name,
      birthday,
      sex,
      city
    } = this.data.userInfo;
    post('api/user/save_files', {
      real_name,
      birthday,
      sex,
      city
    }, () => {
      wx.showToast({
        title: '修改成功',
      })
      setTimeout(() => {
        wx.navigateBack()
      }, 1000);
    })
  }
})